---
title: InputDeviceCapabilities
slug: Web/API/InputDeviceCapabilities
tags:
  - API
  - Experimental
  - InputDeviceCapabilities
  - Interface
  - Reference
---
<p>{{APIRef("InputDeviceCapabilities API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>InputDeviceCapabilities</code></strong> interface of the <a href="/en-US/docs/Web/API/InputDeviceCapabilities_API">Input Device Capabilities API</a> provides information about the physical device or a group of related devices responsible for generating input events. Events caused by the same physical input device get the same instance of this object, but the converse isn't true. For example, two mice with the same capabilities in a system may appear as a single <code>InputDeviceCapabilities</code> instance.</p>

<p>In some instances, <code>InputDeviceCapabilities</code> represents the capabilities of logical devices rather than physical devices. This allows, for example, touchscreen keyboards and physical keyboards to be represented the same way when they produce the same input.</p>

<h2 id="Constructors">Constructors</h2>

<dl>
 <dt>{{DOMxRef("InputDeviceCapabilities.InputDeviceCapabilities()")}}</dt>
 <dd>Creates an <code>InputDeviceCapabilities</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{DOMxRef("InputDeviceCapabilities.firesTouchEvents")}}{{ReadOnlyInline}}</dt>
 <dd>A {{JSxRef("Boolean")}} that indicates whether the device dispatches touch events.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('InputDeviceCapabilities','#dom-uievent-sourcecapabilities','sourceCapabilities')}}</td>
   <td>{{Spec2('InputDeviceCapabilities')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.InputDeviceCapabilities")}}</p>
